detekt-api
1.21.0-RC2

# SplitPattern

open class SplitPattern ( text: String , delimiters: String = ",", removeTrailingAsterisks: Boolean = true)
Content copied to clipboard

Splits given text into parts and provides testing utilities for its elements. Basic use cases are to specify different function or class names in the detekt yaml config and test for their appearance in specific rules.

## Constructors

SplitPattern
Link copied to clipboard
fun SplitPattern ( text: String , delimiters: String = ",", removeTrailingAsterisks: Boolean = true)
Content copied to clipboard

## Functions

any
Link copied to clipboard
fun any (value: String ?): Boolean
Content copied to clipboard

Is there any element which matches the given value?

contains
Link copied to clipboard
fun contains (value: String ?): Boolean
Content copied to clipboard

Does any part contain given value?

mapAll
Link copied to clipboard
fun < T > mapAll (transform: ( String ) -> T ): List < T >
Content copied to clipboard

Transforms all parts by given transform function.

matches
Link copied to clipboard
fun matches (value: String ): List < String >
Content copied to clipboard

Finds all parts which match the given value.

none
Link copied to clipboard
fun none (value: String ): Boolean
Content copied to clipboard

Tests if none of the parts contain the given value.

startWith
Link copied to clipboard
fun startWith (value: String ?): Boolean
Content copied to clipboard

Tests if any part starts with the given value

## Inheritors

CommaSeparatedPattern
Link copied to clipboard